.inbox {

    display: grid;
    gap: 30px;

    @media(min-width: 600px) {
        grid-template-columns: 280px 1fr;
    }
}

mr-room-list {

    position: relative;

    .room-list {
        @include unstyled-list;

        .room-brief {

            display: flex;
            align-items: center;
            border-bottom: 2px solid #f5f5f5;
            padding: 10px;

            .avatar {
                margin-right: 10px;
                flex-shrink: 0;
                position: relative;

                mr-image {
                    height: 50px;
                    width: 50px;
                    border-radius: 50%;
                    display: block;
                    box-shadow: $box-shadow;

                    img {
                        height: 100%;
                        width: 100%;
                        object-fit: cover;
                    }
                }

                mr-blinking-dot {
                    position: absolute;
                    top: 0;
                    right: 0;
                }
            }

            .room-info {

                width: 100%;

                .title {

                    display: flex;
                    align-items: center;
                    justify-content: space-between;

                    h5 {
                        font-size: .9rem;
                    }

                    time {
                        font-size: .7rem;
                        color: $grey;
                        margin-left: 10px;
                    }
                }

                .last-message {
                    color: $grey;
                    font-size: .8rem;
                    margin: 0;
                }

                mr-dropdown {
                    float: right;
                    margin-left: 5px;

                    button {
                        font-size: 1.3rem;
                    }

                    .content {
                        right: 0;
                    }
                }
            }

            &.active {
                background: $primary-light;
                border-color: $primary;
            }
        }
    }

    .mr-icon-button {
        position: absolute;
        bottom: 0;
        right: 0;
    }
}

.chat-room {
    height: 100%;
    background: #f9f9f9;
    border-radius: 5px;
    padding: 10px;
    box-shadow: $inset-box-shadow;
    display: flex;
    flex-direction: column;

    mr-chatlog {
        overflow-y: auto;
        height: 500px;
        margin-bottom: 10px;

        &::-webkit-scrollbar {
            width: 6px;
            background: #eee;
        }

        &::-webkit-scrollbar-thumb {
            background: $grey;
        }

        .log-spacer {
            padding-right: 10px;
        }

        .msg {
            background: #fff;
            padding: 5px 10px;
            border-radius: 4px;
            width: fit-content;
            max-width: 400px;
            box-shadow: $box-shadow;
            margin-bottom: 10px;

            p {
                margin-bottom: 5px;
            }

            time {
                display: block;
                text-align: right;
                font-size: .7rem;
                color: $grey;
            }

            &.from-user {
                background: $primary;
                color: #fff;
                margin-left: auto;

                time {
                    color: #b1c1ff;
                }
            }

            &:last-of-type {
                margin-bottom: 0;
            }
        }
    }

    mr-inbox-editor {

        margin-top: auto;
        position: relative;

        .editor-container {
            padding: 0;
            box-shadow: none;
            margin: 0;

            .content {
                padding-right: 50px;
                max-height: 100px;
                overflow-y: auto;
                @include scrollbar();
            }
        }

        [mr-button] {
            position: absolute;
            right: 0;
            bottom: 0;
        }
    }
}

.now-typing {
    font-size: .8rem;
    margin: 0;
    color: $primary;

    &::after {
        content: '';
        display: inline-block;
        width: 20px;
        animation: dots 1s linear infinite;
    }
}

.inbox-welcome {
    height: 600px;
    @include flex(flex, center, center);
    flex-direction: column;
    text-align: center;

    i {
        font-size: 6rem;
        color: $lighter;
        height: 200px;
        width: 200px;
        background: #f9f9f9;
        border-radius: 50%;
        @include flex(flex, center, center);
    }
}

@keyframes dots {
	0% {
		content: ''
	}

	25% {
		content: '.'
	}

	50% {
		content: '..'
	}

    75% {
        content: '...'
    }
}
